|  | Home · All Classes · Modules

# QLocale.NumberOptions Class Reference
[QtCore module]

### Methods

- __init__ (self, NumberOptions f)
- __init__ (self)

### Special Methods

- NumberOptions __and__ (self, int mask)
- bool __eq__ (self, NumberOptions f)
- NumberOptions __iand__ (self, int mask)
- int __int__ (self)
- NumberOptions __invert__ (self)
- NumberOptions __ior__ (self, NumberOptions f)
- NumberOptions __ixor__ (self, NumberOptions f)
- bool __ne__ (self, NumberOptions f)
- int __nonzero__ (self)
- NumberOptions __or__ (self, NumberOptions f)
- NumberOptions __xor__ (self, NumberOptions f)

## Detailed Description

NumberOption may be used whenever NumberOptions is expected.

## Method Documentation

### NumberOptions.__init__ (self, NumberOptions f)

### NumberOptions.__init__ (self)

### NumberOptions NumberOptions.__and__ (self, int mask)

### bool NumberOptions.__eq__ (self, NumberOptions f)

### NumberOptions NumberOptions.__iand__ (self, int mask)

### int NumberOptions.__int__ (self)

### NumberOptions NumberOptions.__invert__ (self)

### NumberOptions NumberOptions.__ior__ (self, NumberOptions f)

### NumberOptions NumberOptions.__ixor__ (self, NumberOptions f)

### bool NumberOptions.__ne__ (self, NumberOptions f)

### int NumberOptions.__nonzero__ (self)

### NumberOptions NumberOptions.__or__ (self, NumberOptions f)

### NumberOptions NumberOptions.__xor__ (self, NumberOptions f)